首 页 » VPS控制面板 » 2014 DirectAdmin面板 最新安装教程

2014 DirectAdmin面板 最新安装教程

2014-08-21 | 浏览人数: 2,869次 | 分类: VPS控制面板 | 2条评论 | 查看评论 发表评论

今天,deepvps有个安装DA面板的VPS要升级更换服务器,deepvps就随手百度了一下,找到了赵蓉的这个文章不错。全文转载过来,嘿嘿,蓉蓉表见怪哈。

首先,我们同样需要一台服务器或者VPS,干净的操作系统,以及正确的授权,DA授权绑定了服务器主IP和操作系统,预备长期用的话大家可以购买那些终身授权,比月付划算。当然,你也可以用开心版,只要胆子够大的话(啥是开心版?丢,2了吧?不给钱就用,开心不?)。

准备工作

之前我一直喜欢在CentOS5.*安装,今天我们以CentOS6.* 32bit系统为例,首先安装组件。

sed -i “s/^SELINUX=.*/SELINUX=disabled/” /etc/sysconfig/selinux  #关闭selinux

yum -y update    #升级

yum -y install gcc gcc-c++ flex make perl unzip bzip2 wget automake autoconf quota libgd.so.2

#安装必要组件

yum remove httpd php mysql      #移除HTTPD,PHP和MySQL

上面的部分跟我去年的一样,我复制过来的,关于这些个组件,跟你VPS本身的系统模板有关,即使后面他报错,你也可以缺什么装什么,或者官方有个更完整的:yum install wget gcc gcc-c++ flex bison make bind bind-libs bind-utils openssl openssl-devel perl patch quota libaio libcom_err-devel libcurl-devel gd zlib-devel zip unzip libcap-devel cronie bzip2 db4-devel cyrus-sasl-devel perl-ExtUtils-Embed,这么多下来,看他够不够。

下载脚本及运行

wget http://www.directadmin.com/setup.sh       #下载脚本

chmod 755 setup.sh                  #设定权限

./setup.sh                              #运行安装脚本

我建议在所有步骤开始前加上screen,毕竟这不是三两分钟就OK的,那么久,你看着他装,或者万一背时正干着断网了,也很纠结,养成好的习惯,编译最好上screen,切记。

编译安装

这些步骤,我以截图为主。

da2013-1

如上图,首先是授权信息的录入,然后是输入你的hostname,接下来选择网卡或者IP信息,然后回车下一步,这一步就是对比之前最多改动的地方。

da2013-2

我把这些信息复制下来,大家参考。

You now have 4 options for your apache/php setup.

1: customapache:         end-of-life software.  Apache 1.3, php 4, frontpage.  Do not use.  No support.
2: custombuild 1.1:      older software.  Apache 2.x, php 4, 5, or both in cli and/or suphp. Defaults to php 5.2
3: custombuild 1.2:      * Recommended. simlar to 1.1, newer default versions.  Apache 2.x, php 5, 6, or both in cli and/or suphp. Defaults to php 5.3
4: custombuild 2.0 ALPHA: Not yet recommended, still in testing. Apache 2.4, mod_ruid2, php 5.4. Can be set to use php-FPM. Experts only. Requires pre-release binaries.

他提供了4个选项给你选择,第一个忽略,太老了这些组件;第二个,就是我们去年用的,Apache2.*,PHP5或者4,默认是PHP5.2.17,可选CGI或者CLI;第三个,是目前推荐的,Apache2.*,PHP加入了5和6的版本选择,默认是PHP5.3,可选CGL或者CLI模式;第四项,还在测试阶段。

我建议就听他的,选第三个吧。

you like the default settings of apache 2.2 and php 5.3 cli? (y/n):n

#你是否准备安装默认的apache2.2+php5.3,cli模式,如果你想自定义安装,就选n。

这一步,你选y的话,也可以,坐等安装完成,不过,我们这里以自定义来玩,就选n。

Would you like to have PHP5 or PHP6 as default? (5/6):5

#问你安装PHP5还是6,我选PHP5

Would you like to have PHP5? (yes/no): yes

#问你要不要PHP5呢,不要我还选5?

Would you like to have PHP5 as CLI or CGI? (cli/cgi): cgi

#CGI还是CLI模式?选择cgi

Would you like to have PHP6? (yes/no): no

#要不要PHP6?我不要,你要不要我不管。

Would you like to have ionCube? (yes/no): yes

#是否安装ionCube?

Would you like to have Zend Optimizer? (yes/no): yes

#是否安装Zend Optimizer?

Would you like to have an ability to update/instal MySQL using CustomBuild? (yes/no): yes

#是否更新/安装MySQL?

上面的几个步骤,我都是选的yes,去年ionCube和Zend Optimizer我选择的no,然后后来自定义安装,今年不这么干了,别那么麻烦给自己找事,他装你装都是装,怎么方便怎么来!不过,需要提醒的是在PHP5.2下为Zend Optimizer,但是PHP5.3下是Zend Guard Loader。后面的我就用截图了,一个个复制标注也挺麻烦,加上这些可以根据你自己的喜好选择,你也可以照我图上的来。

da2013-3

最后一个选择后,他会先检查你服务器最快的下载源,然后开始编译,安装。

这个过程可能超过15分钟,具体时间根据你的服务器配置不同而有差异。

等待安装完成后,使用默认密码登陆即可。

原创文章如转载,请注明:转载自深度VPS [ http://www.deepvps.com ]
[复制本文链接发送给您的好友]
  • 上一篇:
  • 下一篇:
  • 日志信息 »

    该日志于2014-08-21 20:34由 deepvps 发表在VPS控制面板分类下, 你可以发表评论。除了可以将这个日志以保留源地址及作者的情况下引用到你的网站或博客,还可以通过RSS 2.0订阅这个日志的所有评论。

    相关日志 »

    共有2条评论 [点此发言]

    1. 1楼 武汉装饰公司 2014年09月10日 16:15

      不知道vps怎么用,站长可有教程教 :oops: :oops:

      [回复]

      deepvps 2014年09月11日 10:42 回复:

      本站都是教程哦,不知道你需要哪方面呢?

      [回复]

    发表评论 »

    = 13 + 12 (防止机器人评论)

     疑问 冷笑 悲伤 坏蛋 感叹 微笑 脸红 大笑 吃惊 惊讶 困惑 酷 大声笑 恼火 古怪 转眼睛 给眼色 好主意 箭头 一般 哭了 绿人